Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class XSLTProcessorMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.adaptor.http.ProcessorMBeanDescription
              mx4j.tools.adaptor.http.XSLTProcessorMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class XSLTProcessorMBeanDescription
extends ProcessorMBeanDescription

Management interface descriptions for the XSLTProcessor MBean.

Version:
  $Revision: 1.3 $

Constructor Summary
`XSLTProcessorMBeanDescription()`

Method Summary
`java.lang.String` | `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` | `getMBeanDescription()` Should return the description of the MBean.
`java.lang.String` | `getOperationDescription(java.lang.reflect.Method operation)` Should return the description for the specified operation.
`java.lang.String` | `getOperationParameterDescription(java.lang.reflect.Method method, int index)` Should return the description for the operations's parameter for the given operation and parameter index.
`java.lang.String` | `getOperationParameterName(java.lang.reflect.Method method, int index)` Should return the name of the operation's parameter for the given operation and parameter index.

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcessorMBeanDescription

    public XSLTProcessorMBeanDescription()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`
  Overrides:
    `getMBeanDescription` in class `MBeanDescriptionAdapter`

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `ProcessorMBeanDescription`

### getOperationDescription

    public java.lang.String getOperationDescription(java.lang.reflect.Method operation)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified operation. For example: "Binds the given object to the given name"

  Specified by:
    `getOperationDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationDescription` in class `ProcessorMBeanDescription`

### getOperationParameterName

    public java.lang.String getOperationParameterName(java.lang.reflect.Method method,
                                                      int index)

  Description copied from interface: `MBeanDescription`
  Should return the name of the operation's parameter for the given operation and parameter index. For example: "bindName"

  Specified by:
    `getOperationParameterName` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterName` in class `MBeanDescriptionAdapter`

### getOperationParameterDescription

    public java.lang.String getOperationParameterDescription(java.lang.reflect.Method method,
                                                             int index)

  Description copied from interface: `MBeanDescription`
  Should return the description for the operations's parameter for the given operation and parameter index. For example: "The name to which the object will be bound to"

  Specified by:
    `getOperationParameterDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterDescription` in class `MBeanDescriptionAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.